activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Dean <a...@crackpot.org>
Subject Re: Problem with Ajax API
Date Tue, 21 Dec 2010 18:22:51 GMT

On Dec 21, 2010, at 11:54 AM, stratio wrote:

> 
> I was running my code not on the webserver, now i put it under the
> http://localhost:8161/demo/ directory and i started it again and now i get
> this error under chrome :
> 
> 
> Refused to set unsafe header "Connection"
> 
> What does it depend on?

Does that actually stop Chrome from executing?  

The error is caused by the amq_jquery_adapter.js code doing "headers[ 'Connection' ] = 'close';".
 The same error is raised in Safari, but it doesn't have any real effect.  (Execution is not
halted.)  I'd meant to write a bug report for that, but just forgot about it.  If you open
a JIRA issue for this, I can take a look.

Can you try:
 * Use the prototype adapter instead of the jquery adapter, via "<script type="text/javascript"
src="js/amq_prototype_adapter.js"></script>"
 * or comment-out line 68 of amq_jquery_adapter.js
   https://fisheye6.atlassian.com/browse/activemq/trunk/activemq-web-demo/src/main/webapp/js/amq_jquery_adapter.js?r=HEAD#l68
 * or use a different browser, only to verify that you can receive a message via ajax.  Of
course we want Chrome to work, but it'd be nice to hear you were able to receive a message
in your browser.

alex
Mime
View raw message